.b-catalog__wrap {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: (1fr)[4];
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 7rem 5.2rem;
}

@media screen and (max-width: 1199.9px) {
    .b-catalog__wrap {
        -ms-grid-columns: (1fr)[3];
        grid-template-columns: repeat(3, 1fr);
    }
}

.b-catalog__card-image.active img {
    opacity: 1;
}

.b-catalog__switch-pagination {
    display: flex;
    position: absolute;
    bottom: 3rem;
    left: 50%;
    transform: translateX(-50%);
    z-index: 5;
}

.b-catalog__switch-pagination-item {
    width: 3rem;
    height: 0.3rem;
    background: rgba(255, 255, 255, 0.5);
    margin: 0 .3rem;
}

.b-catalog__switch-pagination-item.active {
    width: 4.4rem;
    background: #FFFFFF;
}


@media screen and (max-width: 767.9px) {
    .b-catalog__wrap {
        -ms-grid-columns: 100%;
        grid-template-columns: 100%;
        grid-gap: 3rem;
    }

    .b-catalog__switch-pagination {
        display: none;
    }
}

.b-catalog__card {
    padding-bottom: 3.5rem;
    border: 1px solid #EAE9E9;
    position: relative;
    color: #263238;
    -webkit-transition: all .3s;
    transition: all .3s;
    min-width: 0;
    cursor: pointer;
}

@media screen and (max-width: 767.9px) {
    .b-catalog__card {
        padding-bottom: 5rem;
    }
}

.b-catalog__card:hover {
    -webkit-box-shadow: 0px 100px 150px rgba(0, 0, 0, 0.2), 0px 20px 30px rgba(0, 0, 0, 0.1), 0px 5px 10px rgba(0, 0, 0, 0.08);
    box-shadow: 0px 100px 150px rgba(0, 0, 0, 0.2), 0px 20px 30px rgba(0, 0, 0, 0.1), 0px 5px 10px rgba(0, 0, 0, 0.08);
    border-radius: 9px;
}

/* .b-catalog__card:hover .b-catalog__card-image::after {
    opacity: 1;
}
.b-catalog__card:hover .b-catalog__card-image img{
    border-radius: 9px 9px 0 0;
} */
.b-catalog__card-mark {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    position: absolute;
    top: 1rem;
    left: 1rem;
    z-index: 3;
}

.b-catalog__card-mark-item {
    padding: 0.5rem 1rem;
    margin-right: 0.5rem;
    margin-bottom: 0.5rem;
    background: #FFFFFF;
    border-radius: 3px;
    font-size: 1.4rem;
}

.b-catalog__card-image {
    /* height: 26rem;
    margin-bottom: 2rem;
    position: relative;
    display: flex;
    justify-content: center; */
    flex: 1;
}

/* .b-catalog__card-image::after {
    content: '';
    display: inline-block;
    opacity: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    z-index: 2;
    background: -webkit-gradient(linear, left top, left bottom, from(rgba(0, 0, 0, 0)), color-stop(54.62%, rgba(0, 0, 0, 0.0931485)), color-stop(81.77%, rgba(0, 0, 0, 0.5)));
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.0931485) 54.62%, rgba(0, 0, 0, 0.5) 81.77%);
    border-radius: 9px 9px 3px 3px;
    -webkit-transition: opacity .3s;
    transition: opacity .3s;
} */

.b-catalog__card-image img {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    pointer-events: none;
    transition: opacity .3s ease-out;
    object-fit: cover;
}

.b-catalog__card-info {
    padding: 0 2rem;
    margin-bottom: 2.2rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    font-size: 1.8rem;
}

.b-catalog__switch {
    display: flex;
    position: relative;
    height: 26rem;
    margin-bottom: 2rem;
}

@media screen and (max-width: 1199.9px) {
    .b-catalog__switch {
        height: 37rem;
    }
}

@media screen and (max-width: 767.9px) {
    .b-catalog__card-info {
        padding: 0 1.3rem 0 1.7rem;
        font-size: 1.6rem;
        margin-bottom: 1.9rem;
    }

    .b-catalog__switch {
        height: 43rem;
    }
}

@media screen and (max-width: 576.9px) {
    .b-catalog__switch {
        height: 36rem;
    }
}

@media screen and (max-width: 500.9px) {
    .b-catalog__switch {
        height: 31rem;
    }
}

@media screen and (max-width: 450.9px) {
    .b-catalog__switch {
        height: 28rem;
    }
}

@media screen and (max-width: 400.9px) {
    .b-catalog__switch {
        height: 25rem;
    }
}

@media screen and (max-width: 374.9px) {
    .b-catalog__switch {
        height: 27rem;
    }
}

.b-catalog__card-name {
    padding: 0 2rem;
    font-family: Playfair Display, Helvetica, Arial, sans-serif;
    font-weight: bold;
    font-size: 2.4rem;
    margin-bottom: 2.2rem;
}

@media screen and (max-width: 767.9px) {
    .b-catalog__card-name {
        padding: 0 1.3rem 0 1.7rem;
        margin-bottom: 2.8rem;
    }
}

.b-catalog__card-features {
    padding: 0 2rem;
    margin-bottom: 2.1rem;
    /* display: -ms-grid;
    display: grid;
    -ms-grid-columns: (max-content)[3];
    grid-template-columns: repeat(3, -webkit-max-content);
    grid-template-columns: repeat(3, max-content); */
    gap: 1.5rem 3rem;
    display: flex;
    flex-wrap: wrap;
}

.b-catalog__card-features-item {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    font-size: 1.4rem;
}

.b-catalog__card-features-item::before {
    content: '';
    display: inline-block;
    margin-right: 1rem;
    width: 2rem;
    height: 1.8rem;
}

.b-catalog__card-features-item.--area::before {
    background: url("images/features-area.svg") no-repeat center/contain;
}

.b-catalog__card-features-item.--area-land::before {
    background: url("images/features-area-land.svg") no-repeat center/contain;
}

.b-catalog__card-features-item.--key::before {
    background: url("images/features-key.svg") no-repeat center/contain;
}

.b-catalog__card-features-item.--security::before {
    background: url("images/features-security.svg") no-repeat center/contain;
}

.b-catalog__card-features-item.--forest::before {
    background: url("images/features-forest.svg") no-repeat center/contain;
}

.b-catalog__card-features-item.--type-land::before {
    background: url("images/features-type-land.svg") no-repeat center/contain;
}

.b-catalog__card-features-item.--type-floors::before {
    background: url("images/features-type-floors.svg") no-repeat center/contain;
}

.b-catalog__card-features-item.--type-quarters::before {
    background: url("images/features-type-quarters.svg") no-repeat center/contain;
}

.b-catalog__card-features-item.--water::before {
    background: url("images/water.svg") no-repeat center/contain;
}

.b-catalog__card-features-item.--pole::before {
    background: url("images/pole.svg") no-repeat center/contain;
}

.b-catalog__card-features-item.--brush::before {
    background: url('/local/templates/main_page/img/catalog/brush.svg') no-repeat center / contain;
}

.b-catalog__card-drone {
    width: 5.1rem;
    height: 5.1rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    background: #FFFFFF;
    border-radius: 4px;
    position: absolute;
    right: 2rem;
    bottom: 2rem;
    z-index: 5;
}

.b-catalog__card-drone svg {
    width: 2.5rem;
    height: 1.5rem;
}

.b-catalog__card-text {
    padding: 0 2rem;
    font-size: 1.4rem;
    color: #909090;
    margin-bottom: 2rem;
}

.b-catalog__card-descr {
    padding: 0 2rem;
    font-size: 1.4rem;
    color: #909090;
}

@media screen and (max-width: 767.9px) {

    .b-catalog__card-descr,
    .b-catalog__card-text {
        padding: 0 1.3rem 0 1.7rem;
    }
}

.b-catalog__switch.swiper-container .b-catalog__card-image {
    position: static;
}

@media screen and (max-width: 767.9px) {

    .b-catalog__switch.swiper-container .b-catalog__card-image img {
        opacity: 1;
        position: static;
    }

    .b-catalog__switch.swiper-container .b-catalog__card-image {
        flex: 0 0 auto;
    }

    .b-catalog__switch.swiper-container .b-catalog__switch-pagination {
        display: flex;
    }

    .b-catalog__switch.swiper-container>.swiper-pagination-bullets {
        bottom: 2rem;
        left: 50%;
        width: auto;
    }

    .b-catalog__switch.swiper-container .swiper-pagination-bullet {
        width: 3rem;
        height: 4px;
        background: rgba(255, 255, 255, 0.5);
        border-radius: 0;
        opacity: 1;
    }

    .b-catalog__switch.swiper-container .swiper-pagination-bullet-active {
        background: #FFFFFF;
    }

    .b-catalog__switch.swiper-container>.swiper-pagination-bullets .swiper-pagination-bullet {
        margin: 0 3px;
    }
}

#catalog_section_map {
    height: 70rem;
}

.object__claster li {
    position: relative;
}

.object__baloon {
    display: block;
    width: 30rem;
    padding: 0;
    background: #fff;
    position: absolute;
    border-radius: 10px;
}

.object__baloon ymaps {
    width: 100% !important;
    margin: 0 !important;
    height: auto !important;
}

.object__baloon .close {
    top: -2rem;
    right: -3rem;
    color: #fff;
    font-size: 2.5rem;
    position: absolute;
    width: 3rem;
    height: 3rem;
    background: #000;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}

.object__baloon-img {
    display: block;
    width: 40rem;
    margin-bottom: 1rem;
    border-radius: 12px;
}

.object__claster li {
    padding: 1rem 2rem;
}

.object__baloon-name {
    display: block;
    font-family: "Playfair Display";
    font-weight: 500;
    font-size: 2rem;
    line-height: 2.4rem;
    color: #ac9f86;
    -webkit-transition: color .3s;
    -o-transition: color .3s;
    transition: color .3s;
}

.object__baloon-head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 1rem 1rem;
    font-family: HelveticaNeueCyr, Helvetica, sans-serif;
    font-weight: 400;
    font-size: 1.6rem;
    line-height: 1.5;
    color: #121313;
}

.object__baloon-id {
    white-space: nowrap;
}

.object__baloon-path {
    padding: 0 1rem 1.5rem;
    font-family: HelveticaNeueCyr, Helvetica, sans-serif;
    font-weight: 400;
    font-size: 1.6rem;
    line-height: 1.5;
    color: #121313;
}

.object__baloon-path {
    color: #ac9f86;
}

.object__baloon-price {
    font-size: 2rem;
    font-family: HelveticaNeueCyr, Helvetica, sans-serif;
    font-weight: 400;
    line-height: 2.8rem;
    color: #121313;
}

.object__baloon-id {
    line-height: 2.2rem;
    color: #ec7945;
    font-size: 1.6rem;
    font-family: HelveticaNeueCyr, Helvetica, sans-serif;
}

.object__baloon-bot {
    padding: 1rem 1.4rem 0.6rem;
    margin: 0 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #ede8df;
    border-radius: 8px;
}

.object__baloon-links {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    gap: 1rem;
    padding: 1rem;
    position: absolute;
    z-index: 5;
    top: 1rem;
    right: 2rem;
}

.object__baloon-links-item {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    color: #999690;
    -webkit-transition: all .3s;
    -o-transition: all .3s;
    transition: all .3s;
    cursor: pointer;
}

.object__baloon-links-item.--youtube:hover {
    color: #f61c0d
}

.object__baloon-links-item.--drone:hover,
.object__baloon-links-item.--heart:hover {
    color: #ec7945
}

.object__baloon-links-item svg {
    width: 3.5rem;
    height: 3.5rem;
}

.object__baloon-tags {
    width: calc(100% - 6rem);
    padding: 1.6rem 1.6rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    gap: .4rem;
    position: absolute;
    top: 1rem;
    left: 1rem;
    z-index: 4;
}

.object__baloon-tags-t {
    padding: .8rem 1.6rem .6rem;
    display: block;
    background: #ede8df;
    border-radius: 50px;
    font-size: 1.4rem;
    line-height: 1.4rem;
    color: #999690;
}

.ymaps-2-1-79-balloon-content__header {
    padding: 2rem;
}

.ymaps-2-1-79-balloon__content>ymaps {
    height: 100% !important;
    width: 100% !important;
}

.ymaps-2-1-79-balloon__close-button {
    height: 30px !important;
    border-radius: 50%;
    background-color: #fff !important;
    opacity: 1 !important;
    margin: 5px 5px 0 0;
}

.ymaps-2-1-79-balloon__content {
    padding: 0 !important;
    margin: 0 !important;
}

.ymaps-2-1-79-balloon_layout_panel {
    width: 40rem !important;
    height: 70rem !important;
    overflow-y: auto !important;
}

.ymaps-2-1-79-balloon-overlay {
    width: 40rem !important;
    height: 70rem !important;
    background: #fff;
    top: 0 !important;
    left: 0 !important;
    overflow-y: auto !important;
    overflow-x: hidden;
}

.ymaps-2-1-79-balloon-overlay .ymaps-2-1-79-balloon {
    top: 0 !important;
    left: 0 !important;
    height: 100% !important;
    width: 100% !important;
    background: #fff;
}

.ymaps-2-1-79-balloon__tail {
    display: none !important;
}

.ymaps-2-1-79-balloon-pane {
    transform: none !important;
    left: 0 !important;
    top: 0 !important;
}

.ymaps-2-1-79-map-copyrights-promo {
    display: none;
}

.ymaps-2-1-79-float-button {
    background-color: #ede8df !important;
}

.ymaps-2-1-79-float-button.ymaps-2-1-79-_checked {
    background-color: #ec7945 !important;
}

.ymaps-2-1-79-float-button.ymaps-2-1-79-_checked .ymaps-2-1-79-float-button-icon {
    background-image: url("/local/templates/v3/img/map-pointer-a.svg") !important;
}

.object__baloon-item {
    cursor: pointer;
}

@media screen and (max-width: 767.9px) {
    .object__baloon {
        width: 22rem;
    }

    .object__baloon-name {
        font-size: 1.8rem;
        line-height: 2rem;
    }

    .ymaps-2-1-79-balloon_layout_panel {
        width: 30rem !important;
    }

    .ymaps-2-1-79-controls__toolbar {
        display: none !important;
    }

    .ymaps-2-1-79-balloon-overlay {
        width: calc(100vw - 3.2rem) !important;
    }

    .object__baloon-img {
        width: 26rem;
    }

    .object__baloon-path {
        font-size: 1.4rem;
        padding-bottom: 1rem;
    }

    .object__baloon-bot {
        padding: .5rem 1rem 0.6rem;
    }

    .object__baloon-price {
        font-size: 1.6rem;
        line-height: 2rem;
    }

    .object__baloon-id {
        font-size: 1.4rem;
        line-height: 1.8rem;
    }

    .object__baloon-tags {
        padding: 1rem;
        width: calc(100% - 8rem);
        left: 1.5rem;
    }

    .object__baloon-tags-t {
        padding: .5rem 1rem .6rem;
        font-size: 1.2rem;
        line-height: 1.2rem;
    }

    .object__baloon-links-item svg {
        width: 2.5rem;
        height: 2.5rem;
    }

    .object__baloon-links {
        right: 3rem;
    }
}